diff --git a/libr/core/cmd_write.c b/libr/core/cmd_write.c
index 988f1527f96..449c4a3ba42 100644
--- a/libr/core/cmd_write.c
+++ b/libr/core/cmd_write.c
@@ -236,7 +236,7 @@ static int cmd_write(void *data, const char *input) {
 		break;
 	case '0':
 		{
-			ut64 len = r_num_math (core->num, input+2);
+			ut64 len = r_num_math (core->num, input+1);
 			if (len>0) {
 				ut8 *buf = calloc (1, len);
 				if (buf) {
